ส่งคืนรายชื่อผู้ที่กดถูกใจอ็อบเจ็กต์นี้ เมื่ออ่านจำนวนการกดถูกใจบนอ็อบเจ็กต์เพจหรือผู้ใช้ ตำแหน่งข้อมูลนี้จะส่งคืนรายชื่อเพจที่เพจหรือผู้ใช้นั้นๆ ได้กดถูกใจไว้
ใช้ช่อง likes ของอ็อบเจ็กต์เพื่อดึงข้อมูลจำนวนการกดถูกใจ
เราขอแนะนำให้คุณใช้ตำแหน่งข้อมูล /object/reactions เพื่อดึงข้อมูลจำนวนการกดถูกใจ (หากมี)
ระบบรองรับตำแหน่งข้อมูล /likes ของอ็อบเจ็กต์ต่อไปนี้สำหรับประสบการณ์การใช้งานเพจแบบใหม่
|
total_count พร้อมพารามิเตอร์ summarylike จะรวมทั้งความรู้สึก "ถูกใจ" และ "ห่วงใย"
total_count แสดงถึงจำนวนการกดถูกใจโดยประมาณ แต่จำนวนแท้จริงที่ส่งคืนมาอาจต่างออกไปโดยขึ้นอยู่กับการตั้งค่าความเป็นส่วนตัวGET /{group-post-id}/likes และ GET /{post-id}/likes ในเวอร์ชั่น 8.0 ขึ้นไป และได้เลิกใช้ในทุกเวอร์ชั่นไปเมื่อวันที่ 2 พฤศจิกายน 2020 | ชื่อคุณสมบัติ | คำอธิบาย | ประเภท |
|---|---|---|
| ผลรวมของจำนวนผู้ใช้และการกดถูกใจเพจบนอ็อบเจ็กต์ หากต้องให้ระบบส่งคืนช่องนี้ คุณจะต้องใส่พารามิเตอร์ |
|
curl -i -X GET "https://graph.facebook.com/{object-id}
?fields=likes.summary(true)
&access_token={access-token}" {
"likes": {
"data": [
{
"name": "Bill the Cat",
"id": "155111347875779",
"created_time": "2017-06-18T18:21:04+0000"
},
{
"name": "Calvin and Hobbes",
"id": "257573197608192",
"created_time": "2017-06-18T18:21:02+0000"
},
{
"name": "Berkeley Breathed's Bloom County",
"id": "108793262484769",
"created_time": "2017-06-18T18:20:58+0000"
}
],
"paging": {
"cursors": {
"before": "Nzc0Njg0MTQ3OAZDZD",
"after": "NTcxODc1ODk2NgZDZD"
},
"next": "https://graph.facebook.com/vX.X/me/likes?access_token=user-access-token&pretty=0&summary=true&limit=25&after=NTcxODc1ODk2NgZDZD"
},
"summary": {
"total_count": 136
}
},
"id": "user-id"
}กดถูกใจอ็อบเจ็กต์
ระบบรองรับตำแหน่งข้อมูล /likes ของอ็อบเจ็กต์ต่อไปนี้สำหรับประสบการณ์การใช้งานเพจแบบใหม่
|
POST /v25.0/{object-id}/likes HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->post(
'/{object-id}/likes',
array (),
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{object-id}/likes",
"POST",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{object-id}/likes",
null,
HttpMethod.POST,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{object-id}/likes"
parameters:params
HTTPMethod:@"POST"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];CREATE_CONTENT บนเพจนั้นได้pages_manage_engagementไม่ต้องระบุฟิลด์เพื่อเพิ่มการกดถูกใจ
เมื่อดำเนินการสำเร็จ แอพของคุณจะได้รับการตอบกลับดังต่อไปนี้
{
"success": true
}คุณไม่สามารถดำเนินการกับตำแหน่งข้อมูลนี้ได้
ลบการกดถูกใจบนอ็อบเจ็กต์ในเพจโดยใช้ตำแหน่งข้อมูลนี้
DELETE /v25.0/{object-id}/likes HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->delete(
'/{object-id}/likes',
array (),
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{object-id}/likes",
"DELETE",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{object-id}/likes",
null,
HttpMethod.DELETE,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{object-id}/likes"
parameters:params
HTTPMethod:@"DELETE"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];MODERATE บนเพจนั้นได้pages_manage_engagementlikes ของตนเองเท่านั้นไม่มีช่องสำหรับตำแหน่งข้อมูลนี้
เมื่อดำเนินการสำเร็จ แอพของคุณจะได้รับการตอบกลับดังต่อไปนี้
{
"success": true
}